# Asterisk Project : Asterisk 13 Function_SHELL

Created by wikibot on Aug 08, 2014

# SHELL()

### Synopsis

Executes a command using the system shell and captures its output.

### Description

Collects the output generated by a command executed by the system shell

Example: `Set(foo=${SHELL(echo bar)})`

Note

Icon

The command supplied to this function will be executed by the system's shell, typically specified in the SHELL environment variable. There are many different system shells available with somewhat different behaviors, so the output generated by this function may vary between platforms.

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be executed from the dialplan, and not directly from external protocols.

### Syntax

    SHELL(command)

##### Arguments

- `command` - The command that the shell should execute.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538